import { useRef, useEffect, useState, useCallback } from 'react';
import { Subject, pipe as rxPipe } from 'rxjs';
import { map, startWith, tap } from 'rxjs/operators';
export function useRxInput(_a) {
    var _b = _a === void 0 ? {} : _a, _c = _b.defaultValue, defaultValue = _c === void 0 ? '' : _c, pipe = _b.pipe;
    var subject = useRef(new Subject());
    var _d = useState(defaultValue), value = _d[0], setValue = _d[1];
    var _e = useState(typeof pipe === 'undefined' ? defaultValue : undefined), output = _e[0], setOutput = _e[1];
    var handleChange = useCallback(function (event) { return subject.current.next(event); }, []);
    useEffect(function () {
        var subsciprtion = subject.current
            .pipe(map(function (evt) { return evt.target.value; }), tap(function (next) { return setValue(next); }), startWith(defaultValue), pipe || rxPipe())
            .subscribe(setOutput);
        return function () { return subsciprtion.unsubscribe(); };
    }, [defaultValue, pipe]);
    return [output, { value: value, onChange: handleChange }];
}
//# sourceMappingURL=useRxInput.js.map