import { DragEvent } from 'react';
export declare function fromDropImageEvent<T extends Element | Window>(dragEvent: DragEvent<T>): [DataTransferItemList | null, DragEvent<T>];
export declare const preventDragOver: <T extends Element | Window>(event: DragEvent<T>) => void;
export declare function useRxDropImage<T extends Window | Element>(): readonly [import("rxjs").Observable<import("./useRxFileToImage").RxFileToImageState[]>, {
    onDragOver: <T_1 extends Element | Window>(event: DragEvent<T_1>) => void;
    onDrop: (event: DragEvent<T>) => void;
}];
