import { SyntheticEvent } from 'react';
import { Observable } from 'rxjs';
export declare type RxFileToImageSource = [FileList | DataTransferItemList | null, Event | SyntheticEvent<Element | Window>];
export interface RxFileToImageState {
    file: File;
    url: string;
}
export declare function fileToImage([items, event]: RxFileToImageSource): Observable<RxFileToImageState>[];
export declare function useRxFileToImage(source$: Observable<RxFileToImageSource> | Observable<RxFileToImageSource>[]): Observable<RxFileToImageState[]>;
