import { UIEvent } from 'react';
import { Observable } from 'rxjs';
export interface RxScrollState {
    x: number;
    y: number;
    scrolling: boolean;
}
export declare function useRxScroll<T extends Window | Element>(ob?: Observable<UIEvent<T>>): readonly [RxScrollState, {
    onScroll: (event: UIEvent<T>) => void;
}];
