"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useRxUploadImage = exports.fromChangeEvent = void 0;
var react_1 = require("react");
var rxjs_1 = require("rxjs");
var operators_1 = require("rxjs/operators");
var useRxFileToImage_1 = require("./useRxFileToImage");
function fromChangeEvent(event) {
    return [event.target.files && event.target.files, event];
}
exports.fromChangeEvent = fromChangeEvent;
function useRxUploadImage() {
    var _a = react_1.useMemo(function () {
        var subject = new rxjs_1.Subject();
        return [
            subject.pipe(operators_1.map(fromChangeEvent), operators_1.mergeMap(function (payload) { return rxjs_1.zip.apply(void 0, useRxFileToImage_1.fileToImage(payload)); })),
            {
                onChange: function (event) { return subject.next(event); }
            }
        ];
    }, []), source$ = _a[0], props = _a[1];
    return [source$, props];
}
exports.useRxUploadImage = useRxUploadImage;
//# sourceMappingURL=useRxUploadImage.js.map