"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var rxjs_1 = require("rxjs");
var operators_1 = require("rxjs/operators");
var react_hooks_1 = require("@testing-library/react-hooks");
var useRxAsync_1 = require("../useRxAsync");
var request = function () { return Promise.resolve(1); };
var requestWithParam = function (ms) { return Promise.resolve(ms); };
var requestWithoutParam = function () { return Promise.resolve(1000); };
var requestOptionalParam = function (ms) {
    if (ms === void 0) { ms = 1000; }
    return Promise.resolve(ms);
};
var errorReqest = function () { return __awaiter(void 0, void 0, void 0, function () { return __generator(this, function (_a) {
    return [2 /*return*/, Promise.reject('error')];
}); }); };
var controledRequest = function (error) {
    if (error === void 0) { error = false; }
    return __awaiter(void 0, void 0, void 0, function () { return __generator(this, function (_a) {
        return [2 /*return*/, error ? Promise.reject('error') : Promise.resolve(1000)];
    }); });
};
test('typings', function () { return __awaiter(void 0, void 0, void 0, function () {
    var caseA, caseB, caseC, caseD;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                caseA = react_hooks_1.renderHook(function () { return useRxAsync_1.useRxAsync(requestWithParam, { defer: true }); });
                caseB = react_hooks_1.renderHook(function () {
                    return useRxAsync_1.useRxAsync(requestWithoutParam, { defer: true });
                });
                caseC = react_hooks_1.renderHook(function () {
                    return useRxAsync_1.useRxAsync(requestOptionalParam, { defer: true });
                });
                caseD = react_hooks_1.renderHook(function () { return useRxAsync_1.useRxAsync(requestWithoutParam); });
                react_hooks_1.act(function () { return caseA.result.current[1].fetch(1000); });
                return [4 /*yield*/, caseA.waitForNextUpdate()];
            case 1:
                _a.sent();
                react_hooks_1.act(function () { return caseB.result.current[1].fetch(1000); });
                return [4 /*yield*/, caseB.waitForNextUpdate()];
            case 2:
                _a.sent();
                react_hooks_1.act(function () { return caseC.result.current[1].fetch(1000); });
                return [4 /*yield*/, caseC.waitForNextUpdate()];
            case 3:
                _a.sent();
                react_hooks_1.act(function () { return caseD.result.current[1].fetch(1000); });
                return [4 /*yield*/, caseD.waitForNextUpdate()];
            case 4:
                _a.sent();
                react_hooks_1.act(function () { return caseB.result.current[1].fetch(); });
                return [4 /*yield*/, caseB.waitForNextUpdate()];
            case 5:
                _a.sent();
                react_hooks_1.act(function () { return caseC.result.current[1].fetch(); });
                return [4 /*yield*/, caseC.waitForNextUpdate()];
            case 6:
                _a.sent();
                react_hooks_1.act(function () { return caseD.result.current[1].fetch(); });
                return [4 /*yield*/, caseD.waitForNextUpdate()];
            case 7:
                _a.sent();
                return [2 /*return*/];
        }
    });
}); });
test('basic', function () { return __awaiter(void 0, void 0, void 0, function () {
    function useTest() {
        var _a = react_1.useState(0), page = _a[0], setPage = _a[1];
        var request = react_1.useCallback(function () { return requestWithParam(page); }, [page]);
        var next = react_1.useCallback(function () { return setPage(function (page) { return page + 1; }); }, []);
        var state = useRxAsync_1.useRxAsync(request, {
            onStart: onStart,
            onSuccess: onSuccess,
            onFailure: onFailure
        })[0];
        return __assign(__assign({}, state), { next: next });
    }
    var onStart, onSuccess, onFailure, _a, result, waitForNextUpdate;
    return __generator(this, function (_b) {
        switch (_b.label) {
            case 0:
                onStart = jest.fn();
                onSuccess = jest.fn();
                onFailure = jest.fn();
                _a = react_hooks_1.renderHook(function () { return useTest(); }), result = _a.result, waitForNextUpdate = _a.waitForNextUpdate;
                expect(result.current.loading).toBe(true);
                expect(result.current.error).toBe(undefined);
                expect(onStart).toHaveBeenCalledTimes(1);
                expect(onSuccess).toHaveBeenCalledTimes(0);
                expect(onFailure).toHaveBeenCalledTimes(0);
                return [4 /*yield*/, waitForNextUpdate()];
            case 1:
                _b.sent();
                expect(result.current.loading).toBe(false);
                expect(result.current.error).toBe(undefined);
                expect(result.current.data).toBe(0);
                expect(onStart).toHaveBeenCalledTimes(1);
                expect(onSuccess).toHaveBeenCalledTimes(1);
                expect(onFailure).toHaveBeenCalledTimes(0);
                react_hooks_1.act(function () { return result.current.next(); });
                expect(result.current.loading).toBe(true);
                expect(onStart).toHaveBeenCalledTimes(2);
                expect(onSuccess).toHaveBeenCalledTimes(1);
                expect(onFailure).toHaveBeenCalledTimes(0);
                return [4 /*yield*/, waitForNextUpdate()];
            case 2:
                _b.sent();
                expect(result.current.loading).toBe(false);
                expect(result.current.data).toBe(1);
                expect(onStart).toHaveBeenCalledTimes(2);
                expect(onSuccess).toHaveBeenCalledTimes(2);
                expect(onFailure).toHaveBeenCalledTimes(0);
                react_hooks_1.act(function () { return result.current.next(); });
                react_hooks_1.act(function () { return result.current.next(); });
                react_hooks_1.act(function () { return result.current.next(); });
                expect(onStart).toHaveBeenCalledTimes(5);
                expect(onSuccess).toHaveBeenCalledTimes(2);
                expect(onFailure).toHaveBeenCalledTimes(0);
                return [4 /*yield*/, waitForNextUpdate()];
            case 3:
                _b.sent();
                expect(result.current.data).toBe(4);
                expect(onSuccess).toHaveBeenCalledTimes(3);
                expect(onFailure).toHaveBeenCalledTimes(0);
                return [2 /*return*/];
        }
    });
}); });
test('after failure', function () { return __awaiter(void 0, void 0, void 0, function () {
    var _a, result, waitForNextUpdate;
    return __generator(this, function (_b) {
        switch (_b.label) {
            case 0:
                _a = react_hooks_1.renderHook(function () {
                    return useRxAsync_1.useRxAsync(controledRequest, { defer: true });
                }), result = _a.result, waitForNextUpdate = _a.waitForNextUpdate;
                react_hooks_1.act(function () { return result.current[1].fetch(); });
                expect(result.current[0].loading).toBe(true);
                return [4 /*yield*/, waitForNextUpdate()];
            case 1:
                _b.sent();
                expect(result.current[0].loading).toBe(false);
                react_hooks_1.act(function () { return result.current[1].fetch(true); });
                return [4 /*yield*/, waitForNextUpdate()];
            case 2:
                _b.sent();
                expect(result.current[0].loading).toBe(false);
                react_hooks_1.act(function () { return result.current[1].fetch(); });
                return [4 /*yield*/, waitForNextUpdate()];
            case 3:
                _b.sent();
                expect(result.current[0].loading).toBe(false);
                expect(result.current[0].data).toBe(1000);
                return [2 /*return*/];
        }
    });
}); });
test('state should reset before subscribe', function () { return __awaiter(void 0, void 0, void 0, function () {
    function useShouldCleanUp() {
        var _a = react_1.useState(0), flag = _a[0], setFlag = _a[1];
        var onSuccess = react_1.useCallback(function () { return flag; }, [flag]);
        var _b = useRxAsync_1.useRxAsync(request, {
            defer: true,
            onSuccess: onSuccess
        }), state = _b[0], actions = _b[1];
        return __assign(__assign(__assign({}, state), actions), { setFlag: setFlag });
    }
    var result;
    return __generator(this, function (_a) {
        result = react_hooks_1.renderHook(function () { return useShouldCleanUp(); }).result;
        react_hooks_1.act(function () {
            result.current.fetch();
        });
        expect(result.current.data).toBe(undefined);
        expect(result.current.loading).toBe(true);
        react_hooks_1.act(function () {
            result.current.setFlag(function (curr) { return curr + 1; });
        });
        expect(result.current.data).toBe(undefined);
        expect(result.current.loading).toBe(false);
        return [2 /*return*/];
    });
}); });
test('defer is false or undefined', function () { return __awaiter(void 0, void 0, void 0, function () {
    var _a, result, waitForNextUpdate;
    return __generator(this, function (_b) {
        switch (_b.label) {
            case 0:
                _a = react_hooks_1.renderHook(function () { return useRxAsync_1.useRxAsync(request); }), result = _a.result, waitForNextUpdate = _a.waitForNextUpdate;
                expect(result.current[0].loading).toBe(true);
                expect(result.current[0].error).toBe(undefined);
                expect(result.current[0].data).toBe(undefined);
                react_hooks_1.act(function () {
                    result.current[1].fetch();
                });
                return [4 /*yield*/, waitForNextUpdate()];
            case 1:
                _b.sent();
                expect(result.current[0].data).toBe(1);
                expect(result.current[0].loading).toBe(false);
                return [2 /*return*/];
        }
    });
}); });
test('defer is ture', function () { return __awaiter(void 0, void 0, void 0, function () {
    var _a, result, waitForNextUpdate;
    return __generator(this, function (_b) {
        switch (_b.label) {
            case 0:
                _a = react_hooks_1.renderHook(function () {
                    return useRxAsync_1.useRxAsync(request, { defer: true });
                }), result = _a.result, waitForNextUpdate = _a.waitForNextUpdate;
                expect(result.current[0].loading).toBe(false);
                expect(result.current[0].error).toBe(undefined);
                expect(result.current[0].data).toBe(undefined);
                react_hooks_1.act(function () {
                    result.current[1].fetch();
                });
                return [4 /*yield*/, waitForNextUpdate()];
            case 1:
                _b.sent();
                expect(result.current[0].data).toBe(1);
                expect(result.current[0].loading).toBe(false);
                return [2 /*return*/];
        }
    });
}); });
test('cancellation', function () { return __awaiter(void 0, void 0, void 0, function () {
    var onStart, onSuccess, onFailure, _a, result, waitForNextUpdate;
    return __generator(this, function (_b) {
        switch (_b.label) {
            case 0:
                onStart = jest.fn();
                onSuccess = jest.fn();
                onFailure = jest.fn();
                _a = react_hooks_1.renderHook(function () {
                    return useRxAsync_1.useRxAsync(request, { onStart: onStart, onSuccess: onSuccess, onFailure: onFailure });
                }), result = _a.result, waitForNextUpdate = _a.waitForNextUpdate;
                expect(result.current[0].data).toBe(undefined);
                react_hooks_1.act(function () {
                    result.current[1].cancel();
                });
                expect(result.current[0].loading).toBe(false);
                expect(result.current[0].data).toBe(undefined);
                expect(onStart).toHaveBeenCalledTimes(1);
                expect(onSuccess).toHaveBeenCalledTimes(0);
                expect(onFailure).toHaveBeenCalledTimes(0);
                react_hooks_1.act(function () {
                    result.current[1].fetch();
                });
                expect(result.current[0].loading).toBe(true);
                expect(onStart).toHaveBeenCalledTimes(2);
                expect(onSuccess).toHaveBeenCalledTimes(0);
                expect(onFailure).toHaveBeenCalledTimes(0);
                return [4 /*yield*/, waitForNextUpdate()];
            case 1:
                _b.sent();
                expect(result.current[0].data).toBe(1);
                expect(onStart).toHaveBeenCalledTimes(2);
                expect(onSuccess).toHaveBeenCalledTimes(1);
                expect(onFailure).toHaveBeenCalledTimes(0);
                react_hooks_1.act(function () {
                    result.current[1].fetch();
                    result.current[1].cancel();
                });
                // After request cancelled, data should be same as before
                expect(result.current[0].loading).toBe(false);
                expect(result.current[0].data).toBe(1);
                expect(onStart).toHaveBeenCalledTimes(3);
                expect(onSuccess).toHaveBeenCalledTimes(1);
                expect(onFailure).toHaveBeenCalledTimes(0);
                return [2 /*return*/];
        }
    });
}); });
test('reset', function () { return __awaiter(void 0, void 0, void 0, function () {
    var onStart, onSuccess, onFailure, result;
    return __generator(this, function (_a) {
        onStart = jest.fn();
        onSuccess = jest.fn();
        onFailure = jest.fn();
        result = react_hooks_1.renderHook(function () { return useRxAsync_1.useRxAsync(request); }).result;
        react_hooks_1.act(function () {
            result.current[1].reset();
        });
        expect(result.current[0].loading).toBe(false);
        expect(result.current[0].error).toBe(undefined);
        expect(result.current[0].data).toBe(undefined);
        expect(onStart).toHaveBeenCalledTimes(0);
        expect(onSuccess).toHaveBeenCalledTimes(0);
        expect(onFailure).toHaveBeenCalledTimes(0);
        react_hooks_1.act(function () {
            result.current[1].fetch();
        });
        react_hooks_1.act(function () {
            result.current[1].reset();
        });
        expect(onStart).toHaveBeenCalledTimes(0);
        expect(onSuccess).toHaveBeenCalledTimes(0);
        expect(onFailure).toHaveBeenCalledTimes(0);
        return [2 /*return*/];
    });
}); });
test('error', function () { return __awaiter(void 0, void 0, void 0, function () {
    var onStart, onSuccess, onFailure, _a, result, waitForNextUpdate;
    return __generator(this, function (_b) {
        switch (_b.label) {
            case 0:
                onStart = jest.fn();
                onSuccess = jest.fn();
                onFailure = jest.fn();
                _a = react_hooks_1.renderHook(function () {
                    return useRxAsync_1.useRxAsync(errorReqest, {
                        defer: true,
                        onStart: onStart,
                        onSuccess: onSuccess,
                        onFailure: onFailure
                    });
                }), result = _a.result, waitForNextUpdate = _a.waitForNextUpdate;
                react_hooks_1.act(function () { return result.current[1].fetch(); });
                return [4 /*yield*/, waitForNextUpdate()];
            case 1:
                _b.sent();
                expect(result.current[0].error).toBe('error');
                expect(result.current[0].loading).toBe(false);
                expect(result.current[0].data).toBe(undefined);
                expect(onSuccess).toHaveBeenCalledTimes(0);
                expect(onFailure).toHaveBeenCalledTimes(1);
                react_hooks_1.act(function () { return result.current[1].fetch(); });
                react_hooks_1.act(function () { return result.current[1].fetch(); });
                react_hooks_1.act(function () { return result.current[1].fetch(); });
                return [4 /*yield*/, waitForNextUpdate()];
            case 2:
                _b.sent();
                expect(onFailure).toHaveBeenCalledTimes(2);
                return [2 /*return*/];
        }
    });
}); });
describe('observable', function () {
    test('basic', function () { return __awaiter(void 0, void 0, void 0, function () {
        var asyncFn, _a, result, waitForNextUpdate;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    asyncFn = function () { return rxjs_1.from(request()); };
                    _a = react_hooks_1.renderHook(function () { return useRxAsync_1.useRxAsync(asyncFn); }), result = _a.result, waitForNextUpdate = _a.waitForNextUpdate;
                    expect(result.current[0].loading).toBe(true);
                    return [4 /*yield*/, waitForNextUpdate()];
                case 1:
                    _b.sent();
                    expect(result.current[0].loading).toBe(false);
                    expect(result.current[0].data).toBe(1);
                    return [2 /*return*/];
            }
        });
    }); });
    test('retry', function () { return __awaiter(void 0, void 0, void 0, function () {
        var onStart, onSuccess, onFailure, asyncFn, _a, result, waitForNextUpdate;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    onStart = jest.fn();
                    onSuccess = jest.fn();
                    onFailure = jest.fn();
                    asyncFn = function () {
                        return rxjs_1.from(errorReqest()).pipe(operators_1.retryWhen(function (errors) {
                            return errors.pipe(operators_1.switchMap(function (error, index) {
                                return index === 3 ? rxjs_1.throwError(error) : rxjs_1.of(error);
                            }), operators_1.delay(1));
                        }));
                    };
                    _a = react_hooks_1.renderHook(function () {
                        return useRxAsync_1.useRxAsync(asyncFn, { onStart: onStart, onSuccess: onSuccess, onFailure: onFailure });
                    }), result = _a.result, waitForNextUpdate = _a.waitForNextUpdate;
                    expect(result.current[0].loading).toBe(true);
                    return [4 /*yield*/, waitForNextUpdate()];
                case 1:
                    _b.sent();
                    expect(result.current[0].loading).toBe(false);
                    expect(onStart).toHaveBeenCalledTimes(1);
                    expect(onSuccess).toHaveBeenCalledTimes(0);
                    expect(onFailure).toHaveBeenCalledTimes(1);
                    return [2 /*return*/];
            }
        });
    }); });
    test('debounce', function () { return __awaiter(void 0, void 0, void 0, function () {
        var onStart, onSuccess, onFailure, asyncFn, _a, result, waitForNextUpdate;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    onStart = jest.fn();
                    onSuccess = jest.fn();
                    onFailure = jest.fn();
                    asyncFn = function (ms) {
                        if (ms === void 0) { ms = 1; }
                        return rxjs_1.from(requestOptionalParam(ms)).pipe(operators_1.debounceTime(1));
                    };
                    _a = react_hooks_1.renderHook(function () {
                        return useRxAsync_1.useRxAsync(asyncFn, { defer: true, onStart: onStart, onSuccess: onSuccess, onFailure: onFailure });
                    }), result = _a.result, waitForNextUpdate = _a.waitForNextUpdate;
                    react_hooks_1.act(function () { return result.current[1].fetch(1); });
                    react_hooks_1.act(function () { return result.current[1].fetch(2); });
                    react_hooks_1.act(function () { return result.current[1].fetch(3); });
                    expect(result.current[0].loading).toBe(true);
                    return [4 /*yield*/, waitForNextUpdate()];
                case 1:
                    _b.sent();
                    expect(result.current[0].loading).toBe(false);
                    expect(result.current[0].data).toBe(3);
                    expect(onStart).toHaveBeenCalledTimes(3);
                    expect(onSuccess).toHaveBeenCalledTimes(1);
                    expect(onFailure).toHaveBeenCalledTimes(0);
                    return [2 /*return*/];
            }
        });
    }); });
});
//# sourceMappingURL=useRxAsync.test.js.map