'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
// https://github.com/facebook/react/issues/13029#issuecomment-445480443
exports.mergeRefs = (...refs) => ref => {
  refs.forEach(({ ref: resolvableRef }) => {
    if (typeof resolvableRef === 'function') {
      resolvableRef(ref);
    } else {
      resolvableRef.current = ref;
    }
  });
};
//# sourceMappingURL=mergeRefs.js.map
